Getting started
Back to home
Getting started

Get WordPress credentials

Retrieve the available WordPress administrator credentials. Returns not found if this is not a WordPress project or credentials are unavailable.

GET/api/customer/v1/projects/{projectId}/wordpress/credentials

Path parameters

NameValue
projectIdRequired resource ID from an earlier API response.

Example request

Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.

curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/wordpress/credentials" \
  --header "Authorization: Bearer $HCODE_API_KEY"

Response

The JSON shape is defined in the response schema.

Response schema
{
  "type": "object",
  "properties": {
    "username": {
      "type": "string"
    },
    "password": {
      "type": "string"
    },
    "adminUrl": {
      "type": "string"
    },
    "wpAdminUsername": {
      "type": "string"
    },
    "wpAdminPassword": {
      "type": "string"
    }
  },
  "required": [],
  "additionalProperties": true
}

See errors and retries for failure responses.